{
        "name" : "GeneratePDF",
        "displayName" : "GeneratePDF",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.pdf.GeneratePDFWorkitemHandler()",
        "documentation" : "pdf-workitem/index.html",
        "module" : "pdf-workitem",
        "icon" : "GeneratePDF.png",
            "category" : "PDF",
            "description" : "Create PDF from xhtml template using freemarker",
            "keywords" : [
                                "pdf"
                ,"generate"
                ,"template"
                ,"document"
                ,"freemarker"
                ,"xhtml"

            ],
                "isaction" : "true",
                "actiontitle" : "Generate PDF document",
            "requiresauth" : "false",
            "parameters" : [
                                   {
                                       "name" : "TemplateXHTML",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "PDFName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "PDFDocument",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "pdf-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
